> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finup.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List account transactions



## OpenAPI

````yaml /openapi.json post /transactions
openapi: 3.1.0
info:
  title: Finup Public API
  version: 1.0.0
  description: >-
    Client-facing Finup API reference generated from current public endpoint
    metadata.
servers:
  - url: https://api.finup.io/backend
    description: Production
security: []
tags:
  - name: Accounts
    description: Current account, account setup, and account capabilities.
  - name: Transactions
    description: Account transaction lists and aggregates.
  - name: Cards
    description: Card issuing, listing, funding, and status changes.
paths:
  /transactions:
    post:
      tags:
        - Transactions
      summary: List account transactions
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransactionsRequest'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                required:
                  - result
                properties:
                  result:
                    type: array
                    items:
                      $ref: '#/components/schemas/Transaction'
                  pagination:
                    $ref: '#/components/schemas/Pagination'
        '401':
          description: Missing or invalid credentials
        '403':
          description: Insufficient permission for this operation
        '404':
          description: Resource not found
      security:
        - apiKeyAuth: []
components:
  schemas:
    TransactionsRequest:
      type: object
      required:
        - pagination
      properties:
        filters:
          $ref: '#/components/schemas/TransactionFilters'
        pagination:
          $ref: '#/components/schemas/PaginationInput'
    Transaction:
      type: object
      properties:
        id:
          type: string
          example: 65fc4e136fb5c06281ac5e4e
        account_id:
          type: string
          example: 622c22cf766d7a2c1fafe2d6
        user_id:
          type: string
          example: 65fc3d09766d7a2c1fafef99
        status:
          type: string
          example: Approved
        side:
          type: string
          example: Credit
        amount:
          type: number
          example: 150
        currency:
          type: string
          example: USD
        type:
          type: string
          example: ExternalTransfer
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        source_identifier:
          type: string
          nullable: true
          example: USD2156306518
        card:
          $ref: '#/components/schemas/PaymentCard'
        card_data:
          type: object
          additionalProperties: true
        fee_data:
          type: object
          additionalProperties: true
        external_transfer_data:
          type: object
          additionalProperties: true
    Pagination:
      type: object
      properties:
        current_page:
          type: integer
          example: 1
        total_records:
          type: integer
          example: 42
        total_pages:
          type: integer
          nullable: true
          example: 5
    TransactionFilters:
      type: object
      properties:
        side:
          type: array
          items:
            type: string
          example:
            - Debit
        type:
          type: array
          items:
            type: string
          example:
            - Card
        status:
          type: array
          items:
            type: string
          example:
            - Approved
            - Pending
        card_id:
          type: array
          items:
            type: string
          example:
            - 67fc3d0a766d7a2c1fafefb8
        search:
          type: string
          example: spotify
        from_created_at:
          type: string
          format: date-time
          example: '2026-06-01T00:00:00.000Z'
        to_created_at:
          type: string
          format: date-time
          example: '2026-06-30T23:59:59.999Z'
        include_internal_transfer:
          type: boolean
          example: false
        own:
          type: boolean
          example: true
        users:
          type: array
          items:
            type: string
          example:
            - 67fc3d0a766d7a2c1fafefb9
        timezone:
          type: string
          example: Europe/Warsaw
    PaginationInput:
      type: object
      properties:
        page:
          type: integer
          example: 1
        per_page:
          type: integer
          example: 50
        sort_by:
          type: string
          example: created_at
        sort_direction:
          type: string
          enum:
            - asc
            - desc
          example: desc
    PaymentCard:
      type: object
      properties:
        id:
          type: string
          example: 67c48f6fc8614632e0b338fc
        name:
          type: string
          example: Marketing card
        masked_PAN:
          type: string
          nullable: true
          example: 1234 56•• •••• 5678
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````